    Return the data used by plot_rmf.

get_rmf_plot(id=None, resp_id=None, recalc=True)
id - int or str, optional
resp_id - int or str, optional
recalc - bool, optional

Return the RMF plot data for the default data set:

>>> rplot = get_rmf_plot()

Return the RMF data for the second response of the data set labelled 'histate', and then plot it:

>>> rplot = get_rmf_plot('histate', 2) >>> rplot.plot()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set with a RMF. If not given then the default identifier is used, as returned by `get_default_id` .
resp_id
Which RMF to use in the case that multiple RMFs are associated with a data set. The default is none , which means the first one.
recalc
If False then the results from the last call to

`plot_rmf` (or `get_rmf_plot` ) are returned, otherwise the data is re-generated.

Changes in CIAO

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023